package com.mobula.sample;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.Toast;

import com.duapps.ad.DuNativeAd;
import com.duapps.ad.PullRequestController;
import com.duapps.ad.list.DuNativeAdsManager;


/**
 * the main page 主页
 *
 * @author mobula team
 */
public class MainActivity extends Activity implements View.OnClickListener {
    /**
     * fill the advertising button 填充按钮
     */
    private Button mFillAdBtn;
    /**
     * display ads button 展示广告按钮
     */
    private Button mShowAdBtn;
    /**
     * display list ads button 展示广告按钮
     */
    private Button mListAdBtn;
    /**
     * clean ads cache data 清除广告内存数据按钮
     */
    private Button mCleanCacheBtn;
    /**
     * mobula ad data mobula广告数据类
     */
    private DuNativeAd nativeAd;
    /**
     * mobula ad data list mobula广告数据列表类
     */
    private DuNativeAdsManager adsManager;
    /**
     * ad recommend id 广告推荐位
     */
    private static final int PID = 10032;
    /**
     * cache data size 缓存大小
     */
    private static final int CACHESZIE = 2;
    /**
     * cache data list size 广告list列表缓存大小
     */
    private static final int CACHESZIELIST = 10;
    
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main_layout);

        initViews();
        initListeners();
    }

    /**
     * initialize the view method 初始化视图
     */
    private void initViews() {
        mFillAdBtn = (Button) findViewById(R.id.fill_ad);
        mShowAdBtn = (Button) findViewById(R.id.show_ad);
        mListAdBtn = (Button) findViewById(R.id.list_ad);
        mCleanCacheBtn = (Button) findViewById(R.id.clean_ad);
    }

    /**
     * register to listen event method 注册监听事件
     */
    private void initListeners() {
        mFillAdBtn.setOnClickListener(this);
        mShowAdBtn.setOnClickListener(this);
        mListAdBtn.setOnClickListener(this);
        mCleanCacheBtn.setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.fill_ad:
                nativeAd = new DuNativeAd(this, PID, CACHESZIE);
                nativeAd.fill();
                adsManager = new DuNativeAdsManager(this, PID, CACHESZIELIST);
                adsManager.fill();
                Toast.makeText(this, "Fill the advertising", Toast.LENGTH_LONG).show();
                break;

            case R.id.show_ad:
                Intent intent = new Intent(this, ShowAdActivity.class);
                startActivity(intent);
                break;
            case R.id.list_ad:
                Intent listIntent = new Intent(this, ListAdActivity.class);
                startActivity(listIntent);
                break;
            case R.id.clean_ad:
                PullRequestController.getInstance(getApplicationContext()).clearCache();
                Toast.makeText(this, "clean cache data success", Toast.LENGTH_LONG).show();
                break;

            default:
                break;
        }
    }

}
